# HG changeset patch
# User duke
# Date 1499267367 -7200
# Node ID 36bbfac160da1c5691d8f7d79bbd36778ba6794e
# Parent  750e57985f1ebd6256b85162e099eace9f62d937# Parent  e996369c787b48c5a105947b3cc64ed119d2ef8b
Merge

diff -r 750e57985f1e -r 36bbfac160da .hgtags-top-repo
--- a/.hgtags-top-repo	Tue Apr 13 16:36:27 2010 -0700
+++ b/.hgtags-top-repo	Wed Jul 05 17:09:27 2017 +0200
@@ -62,3 +62,4 @@
 cf26288a114be67c39f2758959ce50b60f5ae330 jdk7-b85
 433a60a9c0bf1b26ee7e65cebaa89c541f497aed jdk7-b86
 6b1069f53fbc30663ccef49d78c31bb7d6967bde jdk7-b87
+82135c848d5fcddb065e98ae77b81077c858f593 jdk7-b88
diff -r 750e57985f1e -r 36bbfac160da make/jprt.properties
--- a/make/jprt.properties	Tue Apr 13 16:36:27 2010 -0700
+++ b/make/jprt.properties	Wed Jul 05 17:09:27 2017 +0200
@@ -62,6 +62,7 @@
 
 # Test targets in test/Makefile
 jprt.make.rule.test.targets=   \
+  *-product-*-langtools_jtreg, \
   *-product-*-jdk_beans1,      \
   *-product-*-jdk_beans2,      \
   *-product-*-jdk_beans3,      \
@@ -84,7 +85,6 @@
   *-product-*-jdk_util
 
 # Not Ready Yet:
-#   *-product-*-langtools_all
 #   *-product-*-jdk_awt
 #   *-product-*-jdk_rmi
 #   *-product-*-jdk_swing
diff -r 750e57985f1e -r 36bbfac160da test/Makefile
--- a/test/Makefile	Tue Apr 13 16:36:27 2010 -0700
+++ b/test/Makefile	Wed Jul 05 17:09:27 2017 +0200
@@ -42,6 +42,7 @@
     $(MAKE) -C $1/test $2 ; \
   else \
     echo "ERROR: File does not exist: $1/test/Makefile"; \
+    exit 1; \
   fi; \
 else \
   echo "WARNING: No testing done, directory does not exist: $1"; \
@@ -49,7 +50,7 @@
 endef
 
 # Test target list for langtools repository
-LANGTOOLS_TEST_LIST = langtools_all
+LANGTOOLS_TEST_LIST = langtools_jtreg
 
 # Test target list for jdk repository
 JDK_TEST_LIST = \
@@ -74,7 +75,7 @@
 
 # Test targets
 $(LANGTOOLS_TEST_LIST):
-	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), all)
+	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), $(subst langtools_,,$@))
 $(JDK_TEST_LIST):
 	@$(call SUBDIR_TEST, $(JDK_DIR), $@)